Skip to main content
GET
/
v1
/
debtors
/
{id}
/
Retrieve a debtor
curl --request GET \
  --url https://api.paywise.de/v1/debtors/{id}/ \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.paywise.de/v1/debtors/{id}/"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.paywise.de/v1/debtors/{id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "href": "<string>",
  "addresses": [
    {
      "street": "<string>",
      "zip": "<string>",
      "city": "<string>"
    }
  ],
  "created": "2023-11-07T05:31:56Z",
  "updated": "2023-11-07T05:31:56Z",
  "id": "<string>",
  "your_reference": "<string>",
  "person": {
    "first_name": "<string>",
    "last_name": "<string>",
    "salutation": "<string>",
    "birth_date": "2023-12-25",
    "death_date": "2023-12-25"
  },
  "organization": {
    "name": "<string>"
  },
  "communication_channels": [
    {
      "value": "<string>"
    }
  ],
  "bank_accounts": [
    {
      "iban": "<string>",
      "bic": "<string>"
    }
  ],
  "metadata": [
    {
      "value": "<string>"
    }
  ],
  "events": [
    {
      "title": "<string>",
      "occurence": "2023-11-07T05:31:56Z",
      "your_reference": "<string>",
      "description": "<string>",
      "location": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Response

200 - application/json
href
string<uri>
required
read-only
acting_as
required

Tell us if the debtor is either a consumer or a business/other organization. Single-person-business debtors must have the value business

  • consumer - Verbraucher
  • business - Unternehmer
Available options:
consumer,
business
addresses
object[]
required
created
string<date-time>
required
read-only
updated
string<date-time>
required
read-only
id
string
your_reference
string | null
Maximum string length: 255
person
object

If the debtor is a natural person or a single-person-business please provide this object. In case of a single-person-business, please set acting_as to business

organization
object

If the debtor is an organization (no single-person-business), please provide this object. For single-person-business debtors see the person field.

communication_channels
object[]
bank_accounts
object[]
metadata
object[]
events
object[]